### Method

# FwupdPlugin Ioctl add_key_as_u8

since: 2.0.2

#### Declaration [src]

    void
    fu_ioctl_add_key_as_u8 (
      FuIoctl* self,
      const gchar* key,
      gsize value
    )

#### Description [src]

Adds a key for the emulation, formatting it as `0x%02x`.

Available since: 2.0.2

#### Parameters

`key`

  Type: `const gchar*`

  A string, e.g. `Opcode`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gsize`

  A integer value.